# nuxt-social-tags

[![npm version][npm-version-src]][npm-version-href]
[![npm downloads][npm-downloads-src]][npm-downloads-href]
[![License][license-src]][license-href]

> Easy generation of OpenGraph & Twitter meta-tags in [Nuxt 3](https://v3.nuxtjs.org)

- [✨ &nbsp;Release Notes](https://github.com/intevel/nuxt-social-tags/releases)
- [📖 &nbsp;Read the documentation](https://nuxt-social-tags.netlify.app/)

## Features

- Nuxt3 ready
- Composables
- Simple Usage
- TypeScript Support

## Setup

```sh
yarn add nuxt-social-tags # yarn
npm i nuxt-social-tags # npm
```

## Basic usage

Add `nuxt-social-tags` to your Nuxt config:

```javascript
// nuxt.config
export default {
  modules: ["nuxt-social-tags"],
};
```

## Development

1. Clone this repository
2. Install dependencies using `yarn install` or `npm install`
3. Start development server using `yarn dev` or `npm run dev`

## License

Copyright (c) 2022 Conner Luka Bachmann
[MIT License](./LICENSE)

<!-- Badges -->

[npm-version-src]: https://img.shields.io/npm/v/nuxt-social-tags/latest.svg
[npm-version-href]: https://npmjs.com/package/nuxt-social-tags
[npm-downloads-src]: https://img.shields.io/npm/dt/nuxt-social-tags.svg
[npm-downloads-href]: https://npmjs.com/package/nuxt-social-tags
[github-actions-ci-src]: https://github.com/intevel/nuxt-social-tags/actions/workflows/ci.yml/badge.svg
[github-actions-ci-href]: https://github.com/intevel/nuxt-social-tags/actions?query=workflow%3Aci
[codecov-src]: https://img.shields.io/codecov/c/github/intevel/nuxt-social-tags.svg
[codecov-href]: https://codecov.io/gh/intevel/nuxt-social-tags
[license-src]: https://img.shields.io/npm/l/nuxt-social-tags.svg
[license-href]: https://npmjs.com/package/nuxt-social-tags
